.nav-link.active {
    color: white;
    border-bottom: 2px solid white;
}
.shadow-text {
    text-shadow: 2px 2px 4px rgba(0,0,0,0.5);
}
#hero-section {
    height: 90vh;
    position: relative;
    overflow: hidden;
}
#hero-video {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}
@media (max-width: 640px) {
    #hero-section{
        height: 70vh;
    }
    #hero-section h1 {
        font-size: 2.5rem;
    }
    #hero-section p {
        font-size: 1.2rem;
    }
}
@media (max-width: 480px) {
    #hero-section{
        height: 50vh;
    }
    #hero-section h1 {
        font-size: 2rem;
    }
    #hero-section p {
        font-size: 1rem;
    }
}

.carousel-container {
    overflow: hidden;
    width: 100%;
    position: relative;
}

.carousel-track {
    display: flex;
    transition: transform 0.5s ease-in-out;
}

.carousel-item {
    flex: 0 0 auto;
    width: 100%; /* Default for mobile */
    margin-right: 16px;
    background-color: #eae6cc;
    text-align: center;
    padding: 20px;
    box-sizing: border-box;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    display: flex;
    flex-direction: column;
    justify-items: center;
    align-items: center;
}

@media (min-width: 640px) {
    .carousel-item {
        width: calc(50% - 16px); /* 2 items per view on small tablets */
    }
}

@media (min-width: 1024px) {
    .carousel-item {
        width: calc(33.333% - 16px); /* 3 items per view on larger tablets/small desktops */
    }
}

@media (min-width: 1280px) {
    .carousel-item {
        width: calc(25% - 16px); /* 4 items per view on desktops */
    }
}